GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
grpc_json_reader Struct Reference

`#include <json_reader.h>`

## Data Fields
void * | userdata
grpc_json_reader_vtable * | vtable
int | depth
int | in_object
int | in_array
int | escaped_string_was_key
int | container_just_begun
gpr_uint16 | unicode_char
gpr_uint16 | unicode_high_surrogate
grpc_json_reader_state | state

## Field Documentation

int grpc_json_reader::container_just_begun

int grpc_json_reader::depth

int grpc_json_reader::escaped_string_was_key

int grpc_json_reader::in_array

int grpc_json_reader::in_object

grpc_json_reader_state grpc_json_reader::state

gpr_uint16 grpc_json_reader::unicode_char

gpr_uint16 grpc_json_reader::unicode_high_surrogate

void* grpc_json_reader::userdata

grpc_json_reader_vtable* grpc_json_reader::vtable

The documentation for this struct was generated from the following file:

- src/core/json/json_reader.h